> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a webhook

> Retrieves a webhook subscription.




## OpenAPI

````yaml openAPI/webhooks.yaml get /v2/webhooks/{id}
openapi: 3.0.0
info:
  title: Webhook Management API
  version: 2.0.0
  description: API for managing webhook subscriptions.
servers:
  - url: https://api-sandbox.argyle.com
    description: Sandbox
  - url: https://api.argyle.com
    description: Production
security:
  - basicAuth: []
paths:
  /v2/webhooks/{id}:
    get:
      tags:
        - Webhook management
      summary: Retrieve a webhook
      description: Retrieves a webhook subscription.
      operationId: retrieveWebhook
      parameters:
        - in: path
          name: id
          required: true
          description: ID of the webhook subscription.
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhook'
              example:
                id: 205c027e-8a4d-4248-b395-d4f345dfd49f
                name: name-for-the-webhook-subscription
                events:
                  - verifications.updated
                config: {}
                secret: optional-secret
                url: https://your-webhook-backend.com
                created_at: '2026-07-29T19:33:16.120Z'
                updated_at: '2026-07-29T19:33:16.123Z'
                last_sent_at: null
components:
  schemas:
    Webhook:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: ID of the webhook subscription.
        name:
          type: string
          description: Name of the webhook subscription.
        events:
          type: array
          description: Webhook events included in the webhook subscription.
          items:
            type: string
        config:
          type: object
          description: Event-specific configuration for the webhook subscription.
          additionalProperties: true
        secret:
          type: string
          nullable: true
          description: Secret used to verify webhooks, if provided.
        url:
          type: string
          format: uri
          description: URL where webhook deliveries are sent.
        created_at:
          type: string
          format: date-time
          description: Time when the webhook subscription was created.
        updated_at:
          type: string
          format: date-time
          description: Time when the webhook subscription was last updated.
        last_sent_at:
          type: string
          format: date-time
          nullable: true
          description: >-
            Last time Argyle sent the webhook. A null value means the webhook
            has not been sent.
      example:
        id: 205c027e-8a4d-4248-b395-d4f345dfd49f
        name: name-for-the-webhook-subscription
        events:
          - verifications.updated
        config: {}
        secret: optional-secret
        url: https://your-webhook-backend.com
        created_at: '2026-07-29T19:33:16.120Z'
        updated_at: '2026-07-29T19:33:16.123Z'
        last_sent_at: null
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````